[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# FloatToDecimal

Convert a float value to a TFloatRec value.

## Declaration

Source position: line 0

`procedure FloatToDecimal(`
`out Result: TFloatRec;`
`const Value;`
`ValueType: TFloatValue;`
`Precision: Integer;`
`Decimals: Integer`
`); procedure FloatToDecimal(`
`out Result: TFloatRec;`
`Value: Extended;`
`Precision: Integer;`
`Decimals: Integer`
`);`

## Description

FloatToDecimal converts the float Value to a float description in the Result TFloatRec format. It will store Precision digits in the Digits field, of which at most Decimal decimals.

## Errors

None.

## See also

TFloatRec |  | Record descriing a float value

Documentation generated on: Feb 26 2014